Skip to main content
GET
/
api
/
sol
/
tx
/
parse
/
{signature}
Parse transaction
curl --request GET \
  --url 'https://api.raze.bot/api/sol/tx/parse/{signature}?apiKey='
{
  "success": true,
  "signature": "5LwxuLMJN5sz8ZvGShzePNcZnewFkgkzYkwugGPudMNDvV8BNbJL1HZrHwgkMyckGmyMnnJ5ppUXeGGqHAJHsKfo",
  "slot": 415226473,
  "blockTime": 1776986394,
  "timestamp": "2026-04-23T23:19:54+00:00",
  "type": "sell",
  "signer": "haqqiUUXB5gp7gDbSjpEkw3phAjQb25r86uXJsZQgWq",
  "tokenMint": "BoKddsvQKJMesFvDSUAdwMrTFuK6WAoZnWJFmgPNPMKZ",
  "solAmount": 0.020001841,
  "tokensAmount": 703395.787615,
  "avgPrice": 2.8436111435668564e-8,
  "fee": 0.000088018,
  "proTrade": false,
  "pool": "3K8hSiGL2D2i1hiefZVF9UFvRfKcaF3m9vVSmHRu5BJs",
  "platform": "PumpFun"
}

Authorizations

apiKey
string
query
required

Path Parameters

signature
string
required

Solana transaction signature

Response

Parsed transaction

success
boolean
signature
string
slot
integer
blockTime
integer

Unix timestamp in seconds

timestamp
string<date-time>
type
enum<string>
Available options:
buy,
sell,
deploy,
migration,
unknown
signer
string
tokenMint
string
solAmount
number
tokensAmount
number
avgPrice
number
fee
number
proTrade
boolean
pool
string
platform
string

Human-readable DEX/platform label, not the raw program address

Example:

"PumpFun"

isBundle
boolean
isSniper
boolean
name
string

Present for deploy transactions

symbol
string

Present for deploy transactions

uri
string

Present for deploy transactions

creatorBuySol
number

Present for deploy transactions with a creator buy

creatorBuyTokens
number

Present for deploy transactions with a creator buy

creatorBuyPrice
number

Present for deploy transactions with a creator buy

poolDex
string

Present for migration transactions

quoteMint
string

For trade rows, the native pool-quote mint (USDC, wSOL, USDT, USD1, PYUSD). For migration rows, the migration's quote mint. Empty when unrecognised.

fundingCandidates
object[]

Live-only. Candidate funding transfers detected in the transaction (present only when the wallet-funding pipeline is enabled).

holderEdges
object[]

Live-only. User-to-user transfer edges (SPL or native SOL) detected in the transaction (present only when the holder-graph pipeline is enabled).